<!DOCTYPE html>
<html style="overflow: hidden;">
  <head>
    <title>Draw and Modify Features</title>
    <link rel="stylesheet" href="https://openlayers.org/en/v4.6.5/css/ol.css" type="text/css">
    <link rel="stylesheet" href="css/planner.css" type="text/css">
    
    <!-- The line below is only needed for old environments like Internet Explorer and Android 4.x -->
    <script src="https://cdn.polyfill.io/v2/polyfill.min.js?features=requestAnimationFrame,Element.prototype.classList,URL"></script>
    <script src="https://openlayers.org/en/v4.6.5/build/ol.js"></script>
	<!-- transforming projections -->	
	<script src="https://cdnjs.cloudflare.com/ajax/libs/proj4js/2.3.6/proj4-src.js"></script>	
	<!-- fuckin geoportal -->
	<script src="https://mapy.geoportal.gov.pl/iMapLite/js/jquery/jquery-2.1.3.min.js"></script>
	<script src="https://mapy.geoportal.gov.pl/iMapLite/js/imapLiteApi-core.js" type="text/javascript" charset="utf-8"></script>
	<script src="https://mapy.geoportal.gov.pl/iMapLite/js/imapLiteApi-coreEx.js" type="text/javascript" charset="utf-8"></script>

	<script src="js/app/planner.js"  type="text/javascript" charset="utf-8"></script>
	
	<style>
	</style>
	
	<script>
	  // inicjuje mape GEOPORTALU
	  function initGeoportalMap() {
          ILITEAPI.init({
          "divId": "iapi",
          "width": "100%",
          "height": "100%",
          "activeGpMapId": "gp3",
          "activeGpMaps": ["gp0","gp1","gp3"],
          "gpplugins": ["clusterLayer"]
          }, afterGEOInit);			
          }	  
	  // dodaje event listenery na GEOPORTALU
	  function afterGEOInit() {
	  $(ILITEAPI).on('onZoom', PLANNER.moveOLMap2GEO);
	  $(ILITEAPI).on('onExtentChange', PLANNER.moveOLMap2GEO);
	  PLANNER.moveOLMap2GEO();
	  }
	  
		
	</script>
	
  </head>
  
  <body onLoad="initGeoportalMap();">
  <div style="width:100%;height:100%; padding: 0px;">
		<div style="width: 100%; padding: 2px;">
			<div style="float: left; padding-right: 10px">				
				<input type="file" id="gpxShadowFiles" multiple style="display: none; width:0px;" onChange="PLANNER.loadGPXShadowFiles(event)">
				<button onClick="document.getElementById('gpxShadowFiles').click();" class="btn">Load GPX shadow</button>								
				<button onClick="PLANNER.mouseGEO()" class="btn">MOVE</button>
				<button onClick="PLANNER.mouseOLMap()" class="btn">DRAW</button>
				<input type="file" id="sourceGpxFile" style="display: none; width:0px;" onChange="PLANNER.loadGPXSource(event)">
				<button onClick="document.getElementById('sourceGpxFile').click();" class="btn">Load GPX path</button>								
				<button onClick="PLANNER.downloadGPX('path.gpx');" class="btn">Download GPX</button>
			</div>
			<div class="lengthcontainer" id="lengthcontainer" style="float:left;">
				length
			</div>
            
			<div class="slidecontainer" style="color: #A9A9A9; vertical-align: middle; float:left;">
			  <span style="vertical-align: middle;">0%</span>
			  <span style="vertical-aligh: middle;">OSM:</span>
			  <input type="range" min="0" max="100" value="0" class="slider" id="osm-opacitySlider" style="width: 300px;">
			  <span style="vertical-aligh: middle;">100%</span>
			  <span style="vertical-aligh: middle;">OpenTopo:</span>
			  <input type="range" min="0" max="100" value="0" class="slider" id="openTopo-opacitySlider" style="width: 300px;">
              <span style="vertical-aligh: middle;">100%</span>
              <span style="vertical-aligh: middle;">Strava:</span>
			  <input type="range" min="0" max="100" value="0" class="slider" id="strava-opacitySlider" style="width: 300px;">
			  <span style="vertical-aligh: middle;">100%</span>
			</div>
		</div>
		<div style="width:100%; overflow: hidden; margin-top:2px;">		
			<div id="map" class="map" style="width:100vw;height:100vh;position: absolute; z-index: 1; pointer-events:none; "></div>
			<div id="mapa" style="width:100vw;height:100vh;position: absolute; z-index: 0; "> 
				<div id="iapi" style="width:100vw;height:100vh;position: absolute; "> </div>
			</div>	
		</div>    			
	</div>
    <script>					 	  
    </script>	
  </body>
</html>
